      SUBROUTINE GUHADR
C
C Generate hadronic interaction
C (using FLUKA, with GHEISHA for low energy neutrons)
      implicit none

       include 'mcflags.inc'

      IF (HPMOD.eq.1) then
C      CALL GCALOR
       CALL FLUFIN
      ELSEIF (HPMOD.eq.2) then
       CALL FLUFIN
      ELSEIF (HPMOD.eq.3) then
       CALL GHEISH
      ENDIF
      END
